
QGIS Application - Bug report #4004

GRASS rasters not displayed when opening a project created in older Qgis versions

2011-06-20 01:16 PM - Stephan66 -

Status: Closed

Priority: Normal

Assignee:

Category: Rasters

Affected QGIS version:master Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:No Copied to github as #: 13992

Description

When a project created with Qgis 1.6.0 is opened in Qgis 1.7.0, the GRASS rasters in the project are not displayed.

When GRASS rasters are added to the project in Qgis 1.7.0, the are displayed correctly.

Re-saving the project with version 1.7.0 and re-opening gives the same result: GRASS rasters added in 1.6.0 are not displayed, those

added in 1.7.0 are displayed correctly.

Using Qgis 1.7.0 on openSuSE 11.4 (32-bit), Qgis installed from OBS Application:Geo repostory.

rpm versions:

gdal    1.8.0-27.3

gpsbabel    1.4.2-16.1

grass    6.4.1-1.14

grass-docs    6.4.1-1.14

libgdal-grass    1.4.3-15.17

libgdal1    1.8.0-27.3

libgeoclue0    0.12.0-6.1

libgeos0    3.2.2-3.1

libgeotiff2    1.3.0-7.1

libnetcdf4    4.0.1-17.1

libopenjpeg2_0    2.0.0-5.1

libproj0    4.7.0-2.1

libqwt5    5.2.1-3.3

libspatialite1    2.3.1-5.1

netcdf    4.0.1-17.1

proj4    4.7.0-2.1

python-gdal    1.8.0-27.3

python-numpy    1.5.1-17.2

qgis    1.7.0-2.1

qgis-plugin-grass    1.7.0-2.1

Happy bug hunting

History

#1 - 2011-12-16 02:12 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#2 - 2012-04-16 06:28 AM - Paolo Cavallini
- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

- Target version changed from Version 1.7.4 to Version 1.8.0

#3 - 2012-09-04 12:01 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#4 - 2012-10-05 06:58 AM - Giovanni Manghi

- Pull Request or Patch supplied set to No

- Resolution set to wontfix

- Status changed from Open to Closed

Unfortunately without backports I don't think that there is much can be done.

2025-04-26 2/2


